Last Comment Bug 807592 - Frequent red on builders: error RC2135 : file not found: address-book.ico
: Frequent red on builders: error RC2135 : file not found: address-book.ico
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All Windows 7
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 03:05 PDT by Mark Banner (:standard8)
Modified: 2012-11-19 05:29 PST (History)
3 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Untested fix (769 bytes, patch)
2012-11-01 05:59 PDT, Florian Quèze [:florian] [:flo]
sid.bugzilla: review-
Details | Diff | Review
Possible fix (856 bytes, patch)
2012-11-16 02:32 PST, Mark Banner (:standard8)
sid.bugzilla: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mark Banner (:standard8) 2012-11-01 03:05:01 PDT
This failure is frequently turning the Windows builders red, I think someone had originally proposed a fix for it, but I'm not sure it went anywhere. We should try and fix this if we can:

nsMailApp.cpp
e:\builds\moz2_slave\tb-c-cen-w32-dbg\build\config\rules.mk:1195:0$ e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/_virtualenv/Scripts/python.exe -O e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/build/cl.py cl -FonsMailApp.obj -c   -DMOZ_SOURCE_STAMP="8285f35f9fd5" -DMOZ_SOURCE_REPO="http://hg.mozilla.org/comm-central" -DMOZILLA_OFFICIAL -DAB_CD=en-US -DAPP_VERSION="19.0a1" -DTHUNDERBIRD_ICO=\"../../mozilla/dist/branding/thunderbird.ico\" -DGRE_MILESTONE=19.0a1 -DGRE_BUILDID=20121101003454  -DXPCOM_GLUE -DMOZ_THUNDERBIRD=1 -DOSTYPE=\"WINNT6.1\" -DOSARCH=WINNT -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/toolkit/xre -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/xpcom/base -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/xpcom/build  -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app -I. -I../../mozilla/dist/include -I../../mozilla/dist/include/nsprpub  -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mozilla/dist/include/nspr -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mozilla/dist/include/nss        -TP -nologo -W3 -Gy -Fdgenerated.pdb -wd4800 -GR-  -DDEBUG -D_DEBUG -DTRACING -Zi -O1 -Oy- -MDd           -FI ../../comm-config.h -DMOZILLA_CLIENT e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app/nsMailApp.cpp
e:\builds\moz2_slave\tb-c-cen-w32-dbg\build\config\version.mk:49:0$ /bin/sh /e/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/build/msys-perl-wrapper e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/config/version_win.pl -QUIET 1 -DEPTH ../../mozilla -TOPSRCDIR e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla -OBJDIR . -SRCDIR e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app -DISPNAME Daily -APPVERSION 19.0a1 -OFFICIAL 1 -DEBUG 1 -BINARY thunderbird.exe -RCINCLUDE e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app/splash.rc
e:\builds\moz2_slave\tb-c-cen-w32-dbg\build\objdir-tb\mail\app\Makefile:102:0$ e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/_virtualenv/Scripts/python.exe e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/config/pythonpath.py -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/build/pypng e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/build/png2ico.py e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/themes/qute/mail/icons/mail-toolbar-aero.png 37 1 16 address-book.ico
Creating Resource file: module.res
e:\builds\moz2_slave\tb-c-cen-w32-dbg\build\config\rules.mk:1237:0$ rc.exe  -DMOZ_THUNDERBIRD -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app -r -DMOZ_SOURCE_STAMP="8285f35f9fd5" -DMOZ_SOURCE_REPO="http://hg.mozilla.org/comm-central" -DMOZILLA_OFFICIAL -DAB_CD=en-US -DAPP_VERSION="19.0a1" -DTHUNDERBIRD_ICO=\"../../mozilla/dist/branding/thunderbird.ico\" -DGRE_MILESTONE=19.0a1 -DGRE_BUILDID=20121101003454  -DXPCOM_GLUE -DMOZ_THUNDERBIRD=1 -DOSTYPE=\"WINNT6.1\" -DOSARCH=WINNT -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/toolkit/xre -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/xpcom/base -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/xpcom/build  -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app -I. -I../../mozilla/dist/include -I../../mozilla/dist/include/nsprpub  -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mozilla/dist/include/nspr -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mozilla/dist/include/nss     -Fomodule.res e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mail/app/module.rc
Microsoft (R) Windows (R) Resource Compiler Version 6.1.7600.16385

Copyright (C) Microsoft Corporation.  All rights reserved.



e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mail/app/module.rc(40) : error RC2135 : file not found: address-book.ico

e:\builds\moz2_slave\tb-c-cen-w32-dbg\build\config\rules.mk:1237:0: command 'rc.exe  -DMOZ_THUNDERBIRD -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app -r -DMOZ_SOURCE_STAMP="8285f35f9fd5" -DMOZ_SOURCE_REPO="http://hg.mozilla.org/comm-central" -DMOZILLA_OFFICIAL -DAB_CD=en-US -DAPP_VERSION="19.0a1" -DTHUNDERBIRD_ICO=\"../../mozilla/dist/branding/thunderbird.ico\" -DGRE_MILESTONE=19.0a1 -DGRE_BUILDID=20121101003454  -DXPCOM_GLUE -DMOZ_THUNDERBIRD=1 -DOSTYPE=\"WINNT6.1\" -DOSARCH=WINNT -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/toolkit/xre -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/xpcom/base -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mozilla/xpcom/build  -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/mail/app -I. -I../../mozilla/dist/include -I../../mozilla/dist/include/nsprpub  -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mozilla/dist/include/nspr -Ie:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mozilla/dist/include/nss     -Fomodule.res e:/builds/moz2_slave/tb-c-cen-w32-dbg/build/objdir-tb/mail/app/module.rc' failed, return code 1
<thunderbird.exe>: Found error
Comment 1 Florian Quèze [:florian] [:flo] 2012-11-01 05:59:46 PDT
Created attachment 677370 [details] [diff] [review]
Untested fix

This is the completely untested fix I proposed at the time.
Comment 2 Mark Banner (:standard8) 2012-11-01 07:01:03 PDT
Comment on attachment 677370 [details] [diff] [review]
Untested fix

Sid, do you think this might work?
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2012-11-01 15:57:56 PDT
Comment on attachment 677370 [details] [diff] [review]
Untested fix

No, you want to make $(RESFILE) (please don't hardcode it) dependent on the two ico files, and have separate rules to make the two. Or maybe one "embedded-icons" target.
Comment 4 Mark Banner (:standard8) 2012-11-16 02:32:00 PST
Created attachment 682394 [details] [diff] [review]
Possible fix

Ok, I've taken Sid's suggestions and applied them here. I've run this through try server once and it passed, I'll run it a couple of more times as well.
Comment 5 Siddharth Agarwal [:sid0] (inactive) 2012-11-16 07:59:48 PST
Comment on attachment 682394 [details] [diff] [review]
Possible fix

Thanks.
Comment 6 Mark Banner (:standard8) 2012-11-16 08:11:49 PST
Checked in:

https://hg.mozilla.org/comm-central/rev/eb6026dff0b8
Comment 7 Mark Banner (:standard8) 2012-11-19 05:27:17 PST
Comment on attachment 682394 [details] [diff] [review]
Possible fix

[Triage Comment]
This has been good on trunk so far (no more instances seen), so taking it onto aurora where we also have pymake.
Comment 8 Mark Banner (:standard8) 2012-11-19 05:29:13 PST
https://hg.mozilla.org/releases/comm-aurora/rev/305b7bcca6eb

Note You need to log in before you can comment on or make changes to this bug.